\documentclass[tikz]{standalone}


\begin{document}
\begin{tikzpicture}
  \tikzstyle{node}=[draw,circle,minimum size = 5pt, inner sep = 2pt]
  \tikzstyle{factor}=[draw,minimum size = 5pt]
 \path
 (0,0) node[factor] (f1) {$f_1$}
 (1,0) node[factor] (f2) {$f_2$}
 (2,0) node[factor] (f3) {$f_3$}
 (3,0) node[factor] (f4) {$f_4$}
 (4,0) node[factor] (f5) {$f_5$}
 (5,0) node[factor] (f6) {$f_6$}
 (6,0) node[factor] (f7) {$f_7$}
 (0,-1) node[node] (x1) {1}
 (1,-1) node[node] (x2) {2}
 (2,-1) node[node] (x3) {3}
 (3,-1) node[node] (x4) {4}
 (4,-1) node[node] (x5) {5}
 (5,-1) node[node] (x6) {6}
 (6,-1) node[node] (x7) {7}
 (1,-3) node[factor] (fA) {$f_A$}
 (3,-3) node[factor] (fB) {$f_B$}
 (5,-3) node[factor] (fC) {$f_C$};
 \draw (f1) -- (x1);
 \draw (f2) -- (x2);
 \draw (f3) -- (x3);
 \draw (f4) -- (x4);
 \draw (f5) -- (x5);
 \draw (f6) -- (x6);
 \draw (f7) -- (x7);
 \draw (x1) -- (fA);
 \draw (x2) -- (fA);
 \draw (x3) -- (fA);
 \draw (x5) -- (fA);
 \draw (x1) -- (fB);
 \draw (x2) -- (fB);
 \draw (x4) -- (fB);
 \draw (x6) -- (fB);
 \draw (x1) -- (fC);
 \draw (x3) -- (fC);
 \draw (x4) -- (fC);
 \draw (x7) -- (fC);
\end{tikzpicture}
\end{document}



